summaryrefslogtreecommitdiffstats
path: root/contrib/git-hook-pre-commit
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/git-hook-pre-commit')
-rwxr-xr-xcontrib/git-hook-pre-commit14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/git-hook-pre-commit b/contrib/git-hook-pre-commit
new file mode 100755
index 0000000..f4bd35a
--- /dev/null
+++ b/contrib/git-hook-pre-commit
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments. The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+root="$(git rev-parse --show-toplevel)"
+[ -d "$root" ] || exit 1
+
+./update-data-manifest.sh
+git add ./data-manifest